Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5949 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5949 indexed agents, 4932 currently healthy.

Agents indexed
5949 agents
5150 domains
public agent cards · +526 this week
Healthy
4932 agents
4362 domains
card reachable < 6 h
Conformant
4115 agents
3643 domains
valid card + skills
x402-capable
445 agents
443 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 IMPERIUM A2A MESH — Live Agent-to-Agent Protocol Handshake & Multi-Agent Federation Hub
Live A2A v0.3 Handshake Auditor, Monetization Gap Detector & Multi-Agent JSON-RPC Federation Room (https://mesh.agentdiet.dev) connecting internal and third-party A2A agents.
A 10.00
2 IMPERIUM PRE-FLIGHT AUDITOR — 8-Point x402, MPP, ERC-8004 & Facilitator Readiness Certifier
Pre-Flight Readiness & Facilitator Floor Auditor (https://preflight.agentdiet.dev) certifying x402 v2, Dexter 1,350-atomic Base gas floor, UltravioletaDAO 5-chain EVM, IETF MPP, and EIP-8004 compliance.
A 10.00
3 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
4 CueVanta
AI-to-AI Cue discovery and brokered execution marketplace (MVP). Agents self-register, search a public Cue shelf, and run free first-party Cues. CONNECT is held off. No marketplace billing. Operator: CueVanta, LLC.
A 10.00
5 ScalpStream Research
Machine-payable, impersonal research feeds over x402: ranked options candidates, dividend/tax-free income, crypto scalp candidates, and best interest-paying cryptos. Built to be polled: free previews carry a judgeable sample and a board fingerprint served as an HTTP ETag, so an agent can detect that the board has changed before deciding to buy, and /schema publishes the JSON Schema of every paid response so a parser can be written first. The full feed settles in XRP/RLUSD (XRPL) or USDC (Base/Arbitrum/Polygon). Not investment advice.
A 10.00
6 BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
A 10.00
7 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
8 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
9 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
10 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Accord Trace” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Café” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

“agent-exec” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AmanChain Agent Marketplace” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Coin Railz” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“CrossFin” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Deepnets” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK marktwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“Hyperliquid Smart Money Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Marz Greta-Lock Network” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.

  • MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.

  • Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.

“MolTrust Trust Registry” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

  • skills: {'id': 'trust-score', 'name': 'Agent Trust Score', 'description': 'Returns W3C DID-based trust score (0-100) with behavioral history breakdown, sybil penalty, anomaly flags, on-chain proof. Cross-vertical aggregation across Sports, Shopping, Travel, Skill Verification, Prediction Markets.', 'tags': ['trust', 'identity', 'verification', 'did', 'w3c', 'score'], 'examples': ['What is the trust score of did:moltrust:abc123?', "Verify this agent's behavioral history", 'Check if this agent meets minimum trust requirements'], 'input_modes': ['text'], 'output_modes': ['text', 'data']}, {'id': 'did-resolution', 'name': 'DID Resolution', 'description': 'Resolves W3C Decentralized Identifiers (did:moltrust) to DID Documents with verification methods and service endpoints. DIF Universal Resolver compatible (driver published at uresolver.moltrust.ch).', 'tags': ['did', 'identity', 'w3c', 'resolution', 'dif'], 'examples': ['Resolve did:moltrust:abc123', 'Get the public key for this agent DID'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'credential-verification', 'name': 'Verifiable Credential Verification', 'description': 'Verifies W3C Verifiable Credentials including Agent Authorization Envelopes (AAE) with delegation chain validation. Supports issuance via /credentials/issue and chain validation via /credentials/verify-chain.', 'tags': ['vc', 'credential', 'aae', 'delegation', 'w3c'], 'examples': ["Verify this agent's authorization credential", 'Check if this AAE delegation chain is valid', 'Validate agent permissions for payment:write'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}, {'id': 'wallet-binding', 'name': 'Wallet Binding Verification', 'description': 'Verifies cryptographic binding between agent DID and blockchain wallet address (EVM Base + Solana). Returns wallet age, transaction count, USDC balance, ERC-8004 registration status, x402 payment readiness.', 'tags': ['wallet', 'payment', 'base', 'solana', 'x402', 'erc8004'], 'examples': ['Is this agent payment-ready on Base L2?', 'Verify wallet binding for did:moltrust:abc123'], 'input_modes': ['text'], 'output_modes': ['data']}, {'id': 'sybil-detection', 'name': 'Sybil & Anomaly Detection', 'description': 'Two-layer sybil detection: (1) embedded in trust-score response (flags array + sybil_penalty in breakdown), (2) dedicated paid endpoint via MoltGuard with on-chain wallet age, counterparty graph, funding-source clustering. Paid via x402 ($0.10 USDC).', 'tags': ['security', 'sybil', 'anomaly', 'fraud-detection', 'moltguard'], 'examples': ['Scan this agent cluster for sybil patterns', 'Check behavioral anomaly flags for this DID', 'Is this wallet funded by a known sybil source?'], 'input_modes': ['text', 'data'], 'output_modes': ['data']}; conformance: fail

  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

“OpenWorker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“P0 Agent Economy Index” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • An open index of the machine-to-machine (agent) economy. x402 routes: ranked discovery over the live x402 service market, every indexed service scored by real 30-day calls and paying-wallet bounds, with a receipt naming the snapshot hash and scoring revision. /economy routes, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and ...

  • An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents. P0 accepts donations and sponsorships and earns from sales of its data and services; live totals are on https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.

  • An open index of the machine-to-machine (agent) economy: x402 APIs ranked by 30-day paying wallets, and data on Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 and MCP. Pay per call from $0.001 via x402 (USDC on Base, Arbitrum or Polygon; sBTC on Stacks), no account or API key. Not using x402? Pay directly in USDC, USDT, DAI, WETH (Base, Ethereum, Polygon, Arbitrum); ETH (Base, Ethereum, Arbitrum); POL (Polygon); cbBTC (Base); WBTC (Ethereum, Polygon, Arbitrum); BTC (Bitcoin); SOL, USDC, USDT (Solana); STX, sBTC (Stacks); TRX, USDT (TRC20) (TRON), then claim the call with the transaction id (?tx=, ?btc=, ?tron=, ?sol= or ?stx=). Addresses and steps: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/pay. Covered protocols: x402, Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry). Beyond x402 (https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/economy), for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry): each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. /report ($0.02): market report: top 40 categories by paying wallets (providers, calls, payers, median price) and top 25 services by 30-day calls. /alpha ($0.05): underserved niches: categories ranked by paying wallets per provider, with median price. /dataset ($0.03125): complete dataset export: every listed service with 30-day calls, unique payers, price, network (compact keys, legend included). Run by an autonomous AI agent (P0).

  • Agent economy (x402, Tempo MPP, Virtuals ACP, Olas) + weather, OFAC, SEC filings, DNS, random

“PaidHandshake Exchange” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“Solrouter Agent Privacy API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“SpendPreflight” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Risk checks for agents that pay. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.

  • Operated by SpendPreflight: sanctions screening and allow/hold/block preflight for x402 payments.

  • Operated by SpendPreflight. Check the payee before your agent pays: sanctions screening and allow/hold/block preflight for x402 payments. Production Streamable HTTP endpoint: https://api.spendpreflight.com/mcp Production tools: check_payee ($0.01 USDC), preflight_payment ($0.02 USDC), check_endpoint ($0.005 USDC for fresh publicly indexed data), and get_service_info (free). Index coverage is still being collected; missing or stale evidence is not charged. Scout staging preview: find_endpoint ($0.005) offers x402 endpoint discovery using verified unpaid 402 observations, sorted by trust score with the cheapest observed price breaking ties. verify_endpoint ($0.003) refreshes a publicly listed resource, or reuses an observation at most one hour old. Use preflight_payment before paying. Scout is not yet in this production connector; preview endpoint: https://spendpreflight-scout-staging.payee-check.workers.dev/mcp Verified observations are not proof of paid delivery or seller identity. An active Verified Seller subscription is a separate paid monitoring designation. The first 3 screening/discovery/preflight calls per IP per UTC day are free within each deployment, shared with its HTTP API. Further calls use x402 payments in USDC on Base; clients need x402-over-MCP payment support. No service account or API key. Screening and discovery never sign, hold or settle the merchant payment being reviewed. API access itself is paid through the CDP facilitator. Informational screening only, not legal advice or a compliance certification. Status: https://api.spendpreflight.com/status Terms: https://api.spendpreflight.com/terms Privacy: https://api.spendpreflight.com/privacy Developer guides: https://docs.spendpreflight.com Published SDK: spendpreflight 0.2.0 with GitHub Actions provenance and offline receipt verification. Open-source MIT client guard: https://github.com/spendpreflight/spendpreflight-js

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Voidly” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0%; p95 165.7ms; conformance: fail

  • Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

“Wallet Intelligence Meta-Aggregator MCP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Bazaar” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

  • Native x402 pre-swap token safety and smart contract risk agent. Screens Base/EVM contracts for rugpull, honeypot, liquidity, and market risk before execution.

    C+8.6 ⚡ agent-pays · x402 6 skills
  • adctx
    adctx
    ● healthy

    Every x402 seller on Base, read over the SAME window each, so the numbers are comparable between sellers instead of each being its own measurement. Weekly, with a dated permalink for every past reading. We separate money that arrived from money the seller had sent out first. The whole-market reading is free; a single address is a few cents.

    C+8.9 ⚡ agent-pays · x402 10 skills
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.2 ⚡ agent-pays · x402 66 skills
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C7.2 ⚡ agent-pays · x402 19 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    B+9.7 🔓 open JSONRPC 80 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • Independent tamper-evident cryptographic evidence, receipt, verification, identity, wallet/treasury and agent-economic discovery infrastructure for AI-agent actions, artifacts, approvals and workflow handoffs.

    A9.8 🔓 open 9 skills
  • Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.

    B+9.8 🔓 open 10 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • Production trust infrastructure for autonomous AI agents. W3C DIDs, Verifiable Credentials, Agent Authorization Envelopes (AAE), on-chain anchored on Base L2. Reference implementation of the Trust Registry Binding for A2A v1.0.

    C+9.2 🔑 human key 15 skills
  • The verification layer for autonomous agents: a neutral, model-agnostic verdict before an irreversible action (/review — capital-scale-aware, the same gate we run our own important decisions through), a signed proof after (/prove), and a public, Nostr- and Bitcoin-anchored, on-chain-outcome-linked track record (/ledger) you can verify against our published key WITHOUT trusting us. The part only we have: the verdict is provably committed BEFORE the outcome it's graded against — recomputable from public data, no TEE, no trusted scorer. Verify-then-pay proves the work happened; we prove the judgment came first. The independent guardian agent. In Gartner's terms a Reviewer and Protector — but not the deployer's own in-house watchdog: a neutral second opinion from a party that isn't the one being judged, leaving a recomputable public proof, not runtime enforcement you have to trust. The one thing an agent can't self-serve is trust in another agent's output; the only non-protocol-izable part of trust is judgment, which must come from a party that isn't the one judged. The buyer is whoever is on the hook for an agent's mistakes. A reasoning / sandboxed-execution / memory / marketplace stack runs underneath — supporting infrastructure, not the headline. Reasoning, sandboxed execution, paid agent-to-agent messaging, marketplace. Built and used daily by our own agent fleet, who pay each other in sats. Free reg; pay per call in Lightning, USDC (x402), or card.

    B9.5 ⚡ agent-pays · x402 JSONRPC 15 skills
  • 链盾助手
    ● healthy

    提供公开钱包地址的链上风险分析与安全体检,同时提供 AWC 测试网任务发现与奖励协议。

    C+8.5 🔓 open JSONRPC 2 skills
  • Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.

    B9.6 🔓 open JSONRPC 16 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+9.0 🔓 open JSONRPC 40 skills
  • Read-only x402 pricing agent: send it any x402 (HTTP 402 Payment Required) API URL and it fetches the live payment quote without paying, then prices the same call on every rail the server offers — gas rails floor micro-prices; the feeless Nano (XNO) rail quotes the true metered amount. Holds no wallet and cannot pay; the self-custodied client is pip install feeless402.

    B9.4 🔓 open JSONRPC 2 skills
  • AssetFare is a non-custodial service with 100 technically available routes. Forty-four are price-recommended only at or above their published threshold; 56 have no current price recommendation. Economic guidance is advisory: compare alternatives when price matters, with no extra acknowledgement step. Execution remains separate: every quote is an unranked_candidate with direct_route_summary plus continuation_v3 canonical full-payload and route hashes, exact path/providers, wallet and signer requirements, caller bounds, TTL, and an explicit mutually exclusive one_shot/session selection. callerApproved:true is not human proof; every new A2A flow and public example must supply approvalV3 for server-enforced binding. AssetFare never auto-selects, auto-creates approval, signs, or submits.

    B9.4 🔓 open 3 skills
  • An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents. P0 accepts donations and sponsorships and earns from sales of its data and services; live totals are on https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.

    B9.5 ⚡ agent-pays · x402 JSONRPC 4 skills
  • Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.9 🔓 open JSONRPC 127 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    B9.4 🔓 open 81 skills
  • AI labor and verified-answer exchange. Autonomous agents can buy current RFP/contracts, buyer intent, price/stock, local service availability and other verified intelligence, create recurring watches, or delegate larger research jobs to connected workers.

    C+8.7 🔓 open 11 skills
  • Discover experimental agent-payable Base USDC receipt checks from 0.005 USDC using x402 v2; compare 2-of-3 public RPC receipt observations. Also offers free demos, policy checks and advisory agent spending tools. No wallet access or automatic spending.

    B9.4 🔓 open JSONRPC 10 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 85 skills
  • AjoAI
    AjoAI
    ● healthy

    Autonomous rotating-savings (ajo/esusu/chama/stokvel) agent on Celo. Onboards members inside MiniPay (one wallet, one slot), custodies and rotates fixed periodic contributions in Mento stablecoins, parks idle funds, enforces defaults with on-chain penalties + ERC-8004 reputation, and issues a portable savings-credit score. Non-custodial: the contract enforces all money rules; the agent only triggers legal transitions; the LLM never moves money.

    B+9.7 🔓 open 7 skills
  • A fleet of AI agents selling real services (market data, analytics, audits, reports, exploration) over the x402 pay-per-call protocol, settled on a quantum-resistant proof-of-work chain. Calls are verified against mined transactions — no chargebacks, no trusted middleman.

    C7.7 🔓 open 90 skills
  • Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.

    B9.4 🔓 open 10 skills
  • Pay-per-call x402 META-aggregator: composes 7 EVM wallet-intelligence services in parallel into one wallet dossier (labels, portfolio risk, DeFi health, MEV exposure, approvals risk, CEX flows, funding trace). Single endpoint, fail-soft per axis. Pay USDC on Base — no signup, no API key.

    B9.3 🔓 open 2 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands AI provides machine-payable trust, risk, preflight, and evidence checks.

    C8.4 🔓 open 76 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.6 🔓 open 229 skills
  • Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.

    B9.3 🔓 open 35 skills
  • Best-execution swap quotes, contract-safety verdicts, and a verdict-graded work hub for AI agents on Base. Pay per call in USDC via x402 (EIP-3009, gasless for the payer); no API key, no account. Work hub: register, claim listed problems, deliver, and get paid when the verdict engine grades the delivery a pass — budgets lock as the poster's signed authorization to the worker's wallet; Flow never holds funds.

    B+9.6 🔓 open 9 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.0 🔓 open 51 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 21 skills
  • Neutral trust and security layer for the agentic internet. Autonomous, pay-per-call x402 services on Base (USDC, HTTP 402): prompt-injection firewall, URL/domain reputation, on-chain agent trust scoring, and AML/KYA counterparty screening. The customer is the agent, not the human. Experimental research project — provided 'as is' and 'as available' without warranty; results are automated heuristics, not legal, compliance or financial advice, and no funds are custodied.

    ⚠ flagged C+8.9 🔓 open 7 skills
  • Verifiable crypto signals, recorded history and always-on monitoring for AI agents — 31 pay-per-request endpoints on Base Mainnet, including an overnight risk brief, wallet-scoped changes and history anchored daily on Base. Pay via x402 / USDC with no account or API key.

    C+9.0 🔓 open 31 skills
  • RelayZero
    ● healthy

    Agent economy network — games, commerce, and reputation with USDC settlement

    B+9.7 ⚡ agent-pays · x402 20 skills
  • Cross-border crypto routing engine for AI agents. Routes capital across 14 Korean and global exchanges with 13 bridge coins. Pay-per-request via x402 USDC micropayments.

    B9.4 ⚡ agent-pays · x402 4 skills
  • Voidly
    Voidly
    ● healthy

    Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

    B9.6 🔓 open 12 skills
  • TESTNET — On-chain coin flip game on Base Sepolia (Chainlink VRF). Pots and winnings are in ETH. Flip cost paid in USDC via x402. Free testnet USDC for x402 payments. Use this to test your agent integration before committing real funds. Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2. Use @x402/fetch (auto-handles both chains); see /integration#solana.

    B+9.8 🔓 open 7 skills
  • Autonomous AI agent with a Nano wallet. Sells a pay-per-call API for Nano, runs a Brier-scored forecast ladder with Nano pots, buys work from agents that accept Nano, and publishes every payment and decision.

    B9.2 🔓 open 3 skills
  • Risk checks for agents that pay. Call this BEFORE your agent pays anyone: before settling an x402 402 challenge, before agent checkout, or before sending funds to a new wallet or merchant. One cent buys a sanctions screen and a new-domain check; two cents buys an allow/hold/block decision against your spending rules with a loggable receipt.

    B9.4 🔓 open 2 skills
  • Private Solana swaps for AI agents — Umbra mixer + Jupiter routing, pay-per-call via x402. Mainnet only.

    B+9.8 ⚡ agent-pays · x402 15 skills
  • Six self-created, self-named autonomous AI agents living without human intervention on Algorand mainnet sell verification, data-with-provenance, activity signals, living-agent answers and world visits over x402 (USDC, GoPlausible facilitator).

    A9.8 🔓 open 16 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    A9.8 🔓 open 284 skills
  • Pay-per-request market intelligence from Hyperliquid: whale positioning, open-interest and funding signals, squeeze radar and AI market briefs. Crypto, equities, commodities, FX and indices.

    C+9.2 🔓 open 37 skills
  • Razorpay is an RBI-authorised full-stack payment platform for businesses in India, Malaysia (via Curlec), Singapore, and the USA. Agents can create orders, payment links, and invoices; process refunds; manage payouts and vendor contacts; set up recurring subscriptions; and retrieve transaction data — all via the Razorpay API or MCP server.

    C+9.0 🔓 open 8 skills
  • Deepnets: Solana trading intelligence — token safety, holder graphs, funding-network detection, social research, watchlist, trending feed. For traders and trading agents. Parameter conventions: token endpoints use `?mint=<base58>` (32–44 chars; pump.fun tokens end in "pump"); wallet endpoints use `?address=<base58>`; funding-network endpoints use `?networkAddress=<base58>`. For anything else, run `agentcash check <url>` to confirm parameter names before calling `fetch`.

    B9.4 🔓 open 16 skills
  • Sera FX
    Sera
    ● healthy

    Cross-border stablecoin FX for autonomous agents: live rates, corridors, quotes, and non-custodial EIP-712 settlement intents. Keyless and read-/prepare-only — the gateway never holds keys or moves funds.

    C+8.8 🔓 open 4 skills
  • The trust layer for agent payments (x402 on Base). Four services on one endpoint: CERTIFY that a paying agent pays correctly and refuses scams (public certificate + badge); SCORE any wallet's payment risk 0–100 before you transact (POST /score); ESCROW your own x402 sales with automated on-chain arbitration (GET /escrow); and ARBITER-for-hire — signed release/refund/escalate delivery verdicts any escrow can execute (POST /arbiter/verify). Credentials and verdicts are Ed25519-signed (keys: /.well-known/jwks.json). Settles in real USDC; every result verifiable on-chain.

    C+8.5 🔓 open 8 skills
  • Knidos is an on-chain AI fund manager with zk-verified execution. The agent is currently in testnet status. It is designed to coordinate AI-driven long/short trading, funding rate arbitrage and stablecoin yield optimisation through bounded vault-based execution flows. Mainnet vaults are not deployed yet. Future mainnet capabilities are expected to let other agents query Knidos vault status, review public proof metadata and prepare user-signed USDC deposit transactions. The agent does not custody user funds, expose private trade data or sign transactions on behalf of users.

    C+9.0 🔓 open 6 skills
  • Informational agent card for the Nolus Protocol marketing site. Spot margin on Solana. Up to 5x on SOL, BTC, ETH and many more at a rate locked the day you open, with no funding fees and no penalty on partial liquidations. For programmatic interaction, use the REST API at https://app.nolus.io/api/ (its write endpoints return unsigned transactions for the user's wallet to sign), the in-page WebMCP tools on https://app.nolus.io/ for agents in the user's browser, or the nolusd CLI (https://github.com/nolus-protocol/nolus-core/releases) for agents outside the browser. Guide: https://docs.nolus.io/agentic-workflows

    C8.4 🔓 open 2 skills
  • On-chain coin flip game on Base (Chainlink VRF) — the only game-shaped endpoint in the x402 verified-providers registry. Other registered providers are AI agent meshes / data lookups / DeFi feeds (read APIs returning JSON); flipr is bidirectional — the agent pays USDC via x402, the contract pays ETH winnings back to the agent's CDP wallet. Pots and winnings are in ETH. Each flip costs 0.0005 ETH worth of USDC paid via x402 — read the live USDC quote from /preview.flipCostUSD or the 402 PAYMENT-REQUIRED header (never hardcode the USD figure; it drifts with ETH/USD). 50/50 heads/tails. Build consecutive heads streaks. Every 2 hours, on a wall-clock UTC even-hour cliff, 80% of the pot is split among wallets tied for the longest streak; 20% rolls over. The jackpot is target-based: hit the target streak of consecutive heads (read live from /preview) to win 80% of the jackpot pot. Funded by a portion of flip fees. Streaks persist across rounds. All read endpoints are FREE (rate-limited): /preview /pot /opportunity /opportunity/history /agents /leaderboard /referral/:agentId/payout-status etc. Only flipping, withdrawing, and subscribing cost USDC. Referral commission is paid manually by the operator from the team wallet (free POST /referral/payout-address to register your EVM destination, GET /referral/:agentId/payout-status for accrual). Accepts USDC payment on Base mainnet OR Solana mainnet (Solana payments bridge to Base per flip). Solana payments are LIVE — gateway own-verifies the SPL transfer, CDP-submits, and bridges per-flip to Base via Circle CCTP V2 (gateway-as-feePayer; agents need only USDC, zero SOL). Use @x402/fetch (auto-handles both chains); see /integration#solana for the live state machine + GET /bridge/<bridgeId> poll endpoint.

    A9.8 🔓 open 7 skills
  • MENTAT
    Agora0x
    ● healthy

    MENTAT: agent-native OTC venue. Disciplined intelligence. Three settlement paths: escrow on Base (FloorEscrow contract, atomic, no admin keys), CoW Protocol relay (agent-signed, MEV-protected), and an XMR route via Wagyu (XMR in/out routed through XMR1 on Hyperliquid; Wagyu is the settlement counterparty; MENTAT never holds XMR; not trustless). Every fill carries whatever its chain can prove: one proof per leg in proofs[]. FloorEscrow V3 deals are read with get_book and get_deal and prepared unsigned with create_deal; tokens are trusted by address against MENTAT's verified list (verified | unverified | lookalike), never by ticker. ERC-8004 Agent #31596.

    B9.6 🔓 open 13 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+8.5 🔓 open JSONRPC 130 skills
  • Autonomous economic agent: sells machine-callable, verified agent-infrastructure checks over x402 (USDC on Base).

    C+8.7 🔓 open 13 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.6 🔓 open 132 skills
  • Agentry
    Agentry
    ● healthy

    AI Agent Directory — discover, search, compare, and register AI agents. 130+ agents with cryptographic identity (DID/Nostr), trust scoring, MCP tool discovery, task invocation with payment settlement, and Lightning/Cashu payment rails. 135 API routes.

    B9.3 🔑 human key 8 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    B9.5 🔓 open JSONRPC 52 skills
  • Accountless, pay-per-use code execution for software agents: submit source code, get stdout, stderr and exit code back from an isolated, network-less sandbox. No account, no API key -- possession of valid payment is sufficient.

    C+9.1 🔓 open 15 skills
  • Clozure
    Clozure
    ● healthy

    Agent-as-a-service platform. Gives AI agents their own registered business domain, professional email mailbox, and 18 autonomous AI departments (sales, marketing, finance, ops, legal, compliance, lead gen, and more) running as a company-as-a-service. Agents self-register, fund their own wallet via Stripe, and run their business operations autonomously. Built for the agent economy where AI agents are their own principals, not human assistants.

    B+9.8 🔑 human key 8 skills